=== debian/changelog ===
ros-iron-rmf-fleet-msgs (3.1.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs
  * Version updates from latest release synced to main (#54 <https://github.com/open-rmf/rmf_internal_msgs/pull/54>)
  * Contributors: Esteban Martinena Guerrero, Yadunund

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-iron-rmf-fleet-msgs (3.0.2-1jammy) jammy; urgency=high



 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 05 Oct 2022 16:00:00 -0000

ros-iron-rmf-fleet-msgs (3.0.1-1jammy) jammy; urgency=high

  * Added SpeedLimitRequest message: (#43 <https://github.com/open-rmf/rmf_internal_msgs/pull/43>)
  * Add LaneStates msg (#41 <https://github.com/open-rmf/rmf_internal_msgs/pull/41>)

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 26 Sep 2022 16:00:00 -0000

ros-iron-rmf-fleet-msgs (2.0.0-1jammy) jammy; urgency=high

  * Introducing the traffic dependency system (#37 <https://github.com/open-rmf/rmf_internal_msgs/pull/37>)
  * Bump version and update changelog (#35 <https://github.com/open-rmf/rmf_internal_msgs/pull/35>)
  * Introduce a message for requesting a robot interruption (#36 <https://github.com/open-rmf/rmf_internal_msgs/pull/36>)
  * Add approach_speed field to Location message (#28 <https://github.com/open-rmf/rmf_internal_msgs/pull/28>)
  * Contributors: Grey, Luca Della Vedova, Morgan Quigley

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 28 Mar 2022 16:00:00 -0000

ros-iron-rmf-fleet-msgs (1.4.0-1jammy) jammy; urgency=high



 -- Morgan Quigley <morgan@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

ros-iron-rmf-fleet-msgs (1.3.0-1jammy) jammy; urgency=high

  * Added messages for opening/closing lanes: (#5 <https://github.com/open-rmf/rmf_internal_msgs/pull/5>)
  * Added Docking related messages: (#217 <https://github.com/osrf/rmf_core/pull/217>)

 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 26 May 2021 16:00:00 -0000

ros-iron-rmf-fleet-msgs (1.2.0-1jammy) jammy; urgency=high

  * Adding pause command: (#226 <https://github.com/osrf/rmf_core/pull/226>)

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 04 Jan 2021 16:00:00 -0000

ros-iron-rmf-fleet-msgs (1.0.2-1jammy) jammy; urgency=high

  * Initial set of messages for getting status updates from fleets and sending commands to fleets
  * These messages serve as the basis of the "Fleet Driver API" which will be deprecated in future releases
  * Contributors: Grey, Morgan Quigley, Yadu

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 22 Jun 2020 16:00:00 -0000
